;;
;;  french.nsh
;;
;;  French language strings for the Windows Gaim NSIS installer.
;;  Windows Code page: 1252
;;
;;  Version 3
;;  Author: Eric Boumaour <zongo_fr@users.sourceforge.net>, 2003-2005.
;;

; Make sure to update the GAIM_MACRO_LANGUAGEFILE_END macro in
; langmacros.nsh when updating this file

; Startup Checks
!define INSTALLER_IS_RUNNING			"Le programme d'installation est dj en cours d'excution."
!define GAIM_IS_RUNNING			"Une instance de Gaim est en cours d'excution. Veuillez quitter Gaim et ressayer."
!define GTK_INSTALLER_NEEDED			"Les bibliothques de l'environnement GTK+ ne sont pas installes ou ont besoin d'une mise  jour.$\rVeuillez installer la version ${GTK_VERSION} ou plus rcente des bibliothques GTK+."

; License Page
!define GAIM_LICENSE_BUTTON			"Suivant >"
!define GAIM_LICENSE_BOTTOM_TEXT		"$(^Name) est disponible sous licence GNU General Public License (GPL). Le texte de licence suivant est fourni uniquement  titre informatif. $_CLICK" 

; Components Page
!define GAIM_SECTION_TITLE			"Gaim client de messagerie instantane (obligatoire)"
!define GTK_SECTION_TITLE			"Bibliothques GTK+ (obligatoire)"
!define GTK_THEMES_SECTION_TITLE		"Thmes GTK+"
!define GTK_NOTHEME_SECTION_TITLE		"Pas de thme"
!define GTK_WIMP_SECTION_TITLE		"Thme Wimp"
!define GTK_BLUECURVE_SECTION_TITLE		"Thme Bluecurve"
!define GTK_LIGHTHOUSEBLUE_SECTION_TITLE	"Thme Light House Blue"
!define GAIM_SHORTCUTS_SECTION_TITLE "Raccourcis"
!define GAIM_DESKTOP_SHORTCUT_SECTION_TITLE "Bureau"
!define GAIM_STARTMENU_SHORTCUT_SECTION_TITLE "Menu Dmarrer"
!define GAIM_SECTION_DESCRIPTION		"Fichiers et DLLs de base de Gaim"
!define GTK_SECTION_DESCRIPTION		"Un ensemble d'outils pour interfaces graphiques multi-plateforme, utilis par Gaim"
!define GTK_THEMES_SECTION_DESCRIPTION	"Les thmes GTK+ permettent de changer l'aspect des applications GTK+."
!define GTK_NO_THEME_DESC			"Ne pas installer de thme GTK+"
!define GTK_WIMP_THEME_DESC			"GTK-Wimp (imitateur de Windows) est un thme de GTK+ qui se fond dans l'environnement graphique de Windows."
!define GTK_BLUECURVE_THEME_DESC		"Thme Bluecurve"
!define GTK_LIGHTHOUSEBLUE_THEME_DESC	"Thme Lighthouseblue"
!define GAIM_SHORTCUTS_SECTION_DESCRIPTION   "Raccourcis pour lancer Gaim"
!define GAIM_DESKTOP_SHORTCUT_DESC   "Crer un raccourci pour Gaim sur le bureau"
!define GAIM_STARTMENU_SHORTCUT_DESC   "Crer un raccourci pour Gaim dans le menu Dmarrer"

; GTK+ Directory Page
!define GTK_UPGRADE_PROMPT			"Une ancienne version des bibliothques GTK+ a t trouve. Voulez-vous la mettre  jour ?$\rNote : Gaim peut ne pas fonctionner si vous ne le faites pas."

; Installer Finish Page
!define GAIM_FINISH_VISIT_WEB_SITE		"Visitez la page web de Gaim Windows" 

; Gaim Section Prompts and Texts
!define GAIM_UNINSTALL_DESC			"Gaim (supprimer uniquement)"
!define GAIM_PROMPT_WIPEOUT			"L'ancien dossier de Gaim va tre supprim. Voulez-vous continuer ?$\r$\rNote : Tous les plugins non standards que vous avez installs seront aussi supprims.$\rLes configurations et les comptes utilisateurs de Gaim ne sont pas touchs."
!define GAIM_PROMPT_DIR_EXISTS		"Le dossier d'installation que vous avez choisi existe dj. Son contenu sera effac.$\rVoulez-vous continuer ?"

; GTK+ Section Prompts
!define GTK_INSTALL_ERROR			"Erreur lors de l'installation des bibliothques GTK+"
!define GTK_BAD_INSTALL_PATH			"Le dossier d'installation ne peut pas tre cr ou n'est pas accessible."

; GTK+ Themes section
!define GTK_NO_THEME_INSTALL_RIGHTS		"Vous n'avez pas les permissions pour installer un thme GTK+."

; Uninstall Section Prompts
!define un.GAIM_UNINSTALL_ERROR_1         "Le programme de dsinstallation n'a pas retrouv les entres de Gaim dans la base de registres.$\rL'application a peut-tre t installe par un utilisateur diffrent."
!define un.GAIM_UNINSTALL_ERROR_2         "Vous n'avez pas les permissions pour supprimer cette application."
